Videoslash API
Creative Studio

Get Creative Studio model

GET
/v1/creative-studio/models/{modelId}

Retrieve one Creative Studio model definition by public model ID.

Requires an API key with the read scope.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Create a key in your Account settings.

Pass the full key in the Authorization header:

Authorization: Bearer vsl_...

Keys are shown only once at creation. Treat them like passwords.

In: header

Path Parameters

modelId*string

Public model identifier (for example nano-banana-2).

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/creative-studio/models/string"
{  "id": "string",  "title": "string",  "assetType": "image",  "category": "string",  "supportsPrompt": true,  "promptRequired": true,  "mediaParameters": [    {      "name": "string",      "type": "string",      "required": true,      "default": null,      "enum": [        null      ],      "description": "string",      "minimum": 0,      "maximum": 0,      "media": true,      "maxItems": 0    }  ],  "settingParameters": [    {      "name": "string",      "type": "string",      "required": true,      "default": null,      "enum": [        null      ],      "description": "string",      "minimum": 0,      "maximum": 0,      "media": true,      "maxItems": 0    }  ],  "creditsFrom": 0}
{  "error": {    "code": "missing_api_key",    "message": "string"  }}
{  "error": {    "code": "missing_api_key",    "message": "string"  }}
{  "error": {    "code": "missing_api_key",    "message": "string"  }}
{  "error": {    "code": "missing_api_key",    "message": "string"  }}